% some tests of panning laws


ar = 2*pi/360;
ra = 1/ar;

th = ar*(1:45);

g1 = sin(th);
g2 = cos(th);

th2 = ra*asin(sin(ar*45)*(g1-g2)./(g1+g2));

th3 = ra*atan(tan(ar*45)*(g1-g2)./(g1+g2));

plot(ra*th,th2+45)
hold on
plot(ra*th,th3+45,'r')
hold off

ylabel('reproduced angle - bottom is full left')
xlabel('pan angle - left is full left')

