% scrp for making 1/3 ocatave filters

fs = 6000; % sample rate

w1 = 30/(2^(1/6));
w2 = 30*2^(1/6);

w = [w1*2/fs,w2*2/fs];

for i = 1:21
	i % print filter number
	[b,a] = ellip(3,2,30,w);
	s = size(a);
	n = 1:s(2);
	fa(i,n) = a(n);
	fb(i,n) = b(n);
	w = w*2^(1/3);
end

save 3rdfilts fa fb
